# we are cross-compiled libraries
%global debug_package %{nil}
%global __strip /bin/true

%global svndate 20131104

Name:           m68k-atari-mint-ldg
Summary:        The LDG library for Atari MiNT
Version:        2.33
Release:        2.%{svndate}svn%{?dist}
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://ldg.sourceforge.net/
Source0:        http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/ldg-SVN-%{svndate}.tar.bz2
BuildArch:      noarch
BuildRequires:  m68k-atari-mint-gcc
Requires:       m68k-atari-mint-gcc


%description
LDG stands in french for Librairies  Dynamiques GEM or in english  GEM
Dynamical Libraries. It is a protocol allowing GEM application to load
and share libraries (or plugin if you prefer).  The goal of LDG is  to
provide some  usefull  functions  to the  GEM  applications  like  the
WinDeath DDL. These libraries are dynamicals i.e. they are loaded when
the application  need it  and  unloaded when  they are  unused.  These
libraries may  be shared  with severals  clients. Libraries  can  have
special right such as unshareable,  memory resident or locked. The LDG
works with all TOS-compatible  computers and TOS-compatible OS such as
MagiC, Geneva or  MiNT with singletasking or multitasking systems too.


%prep
%setup -q -n ldg-SVN-%{svndate}


%build
COMMON_CFLAGS="-W -Wall -O2 -g -fomit-frame-pointer -I../../include -I.. -I."

# 1st pass for m68000 libraries
make -C src/devel -f gcc.mak CROSS=yes CFLAGS="$COMMON_CFLAGS"
mv lib/gcc/libldg.a lib/
make -C src/devel -f gcc.mak CROSS=yes clean

# 2nd pass for m68020-60 libraries
make -C src/devel -f gcc.mak CROSS=yes CFLAGS="-m68020-60 $COMMON_CFLAGS"
mkdir -p lib/m68020-60 && mv lib/gcc/libldg.a lib/m68020-60/
make -C src/devel -f gcc.mak CROSS=yes clean

# 3rd pass for m5475 libraries
make -C src/devel -f gcc.mak CROSS=yes CFLAGS="-mcpu=5475 $COMMON_CFLAGS"
mkdir -p lib/m5475 && mv lib/gcc/libldg.a lib/m5475/
make -C src/devel -f gcc.mak CROSS=yes clean

rm -rf lib/gcc


%install
install -D -p -m 644 include/ldg.h $RPM_BUILD_ROOT%{mint_includedir}/ldg.h
install -D -p -m 644 lib/libldg.a $RPM_BUILD_ROOT%{mint_libdir}/libldg.a
install -D -p -m 644 lib/m68020-60/libldg.a $RPM_BUILD_ROOT%{mint_libdir}/m68020-60/libldg.a
install -D -p -m 644 lib/m5475/libldg.a $RPM_BUILD_ROOT%{mint_libdir}/m5475/libldg.a


%files
%doc COPYRIGHT README
%{mint_includedir}/ldg.h
%{mint_libdir}/*


%changelog
* Wed May 14 2014 Dan Horák <dan[at]danny.cz> - 2.33-2.20131104
- updated to 20131104 snapshot

* Sat Oct 06 2012 Dan Horák <dan[at]danny.cz> - 2.33-1.20121005
- initial Fedora release
